<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>BlockMaterial (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BlockMaterial (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/registry/BlockCategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/registry/BlockRegistry.html" title="interface in com.sk89q.worldedit.world.registry"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/registry/BlockMaterial.html" target="_top">Frames</a></li>
<li><a href="BlockMaterial.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.world.registry</div>
<h2 title="Interface BlockMaterial" class="title">Interface BlockMaterial</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/world/registry/PassthroughBlockMaterial.html" title="class in com.sk89q.worldedit.world.registry">PassthroughBlockMaterial</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">BlockMaterial</span></pre>
<div class="block">Describes the material for a block.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#getHardness--">getHardness</a></span>()</code>
<div class="block">Get the hardness factor for this block.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#getLightValue--">getLightValue</a></span>()</code>
<div class="block">Get the light value for this block.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#getResistance--">getResistance</a></span>()</code>
<div class="block">Get the resistance factor for this block.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#getSlipperiness--">getSlipperiness</a></span>()</code>
<div class="block">Get the slipperiness factor for this block.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#hasContainer--">hasContainer</a></span>()</code>
<div class="block">Gets whether the block has a container (Item container)</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#isAir--">isAir</a></span>()</code>
<div class="block">Gets if this block is a type of air.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#isBurnable--">isBurnable</a></span>()</code>
<div class="block">Get whether this block will burn.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#isFragileWhenPushed--">isFragileWhenPushed</a></span>()</code>
<div class="block">Get whether this block breaks when it is pushed by a piston.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#isFullCube--">isFullCube</a></span>()</code>
<div class="block">Get whether this block is a full sized cube.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#isLiquid--">isLiquid</a></span>()</code>
<div class="block">Get whether this block is a liquid.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#isMovementBlocker--">isMovementBlocker</a></span>()</code>
<div class="block">Get whether this block prevents movement.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#isOpaque--">isOpaque</a></span>()</code>
<div class="block">Get whether this block is opaque.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#isPowerSource--">isPowerSource</a></span>()</code>
<div class="block">Get whether this block emits a Redstone signal.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#isReplacedDuringPlacement--">isReplacedDuringPlacement</a></span>()</code>
<div class="block">Get whether this block is replaced when a block is placed over it
 (for example, tall grass).</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#isSolid--">isSolid</a></span>()</code>
<div class="block">Get whether this block is a solid.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#isTicksRandomly--">isTicksRandomly</a></span>()</code>
<div class="block">Get whether this block is ticked randomly.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#isToolRequired--">isToolRequired</a></span>()</code>
<div class="block">Get whether this block needs to be broken by a tool for maximum
 speed.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#isTranslucent--">isTranslucent</a></span>()</code>
<div class="block">Get whether this block is translucent.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html#isUnpushable--">isUnpushable</a></span>()</code>
<div class="block">Get whether this block can be pushed by a piston.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isAir--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAir</h4>
<pre>boolean&nbsp;isAir()</pre>
<div class="block">Gets if this block is a type of air.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>If it's air</dd>
</dl>
</li>
</ul>
<a name="isFullCube--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFullCube</h4>
<pre>boolean&nbsp;isFullCube()</pre>
<div class="block">Get whether this block is a full sized cube.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the test</dd>
</dl>
</li>
</ul>
<a name="isOpaque--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOpaque</h4>
<pre>boolean&nbsp;isOpaque()</pre>
<div class="block">Get whether this block is opaque.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the test</dd>
</dl>
</li>
</ul>
<a name="isPowerSource--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPowerSource</h4>
<pre>boolean&nbsp;isPowerSource()</pre>
<div class="block">Get whether this block emits a Redstone signal.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the test</dd>
</dl>
</li>
</ul>
<a name="isLiquid--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isLiquid</h4>
<pre>boolean&nbsp;isLiquid()</pre>
<div class="block">Get whether this block is a liquid.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the test</dd>
</dl>
</li>
</ul>
<a name="isSolid--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSolid</h4>
<pre>boolean&nbsp;isSolid()</pre>
<div class="block">Get whether this block is a solid.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the test</dd>
</dl>
</li>
</ul>
<a name="getHardness--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHardness</h4>
<pre>float&nbsp;getHardness()</pre>
<div class="block">Get the hardness factor for this block.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the hardness factor</dd>
</dl>
</li>
</ul>
<a name="getResistance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResistance</h4>
<pre>float&nbsp;getResistance()</pre>
<div class="block">Get the resistance factor for this block.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the resistance factor</dd>
</dl>
</li>
</ul>
<a name="getSlipperiness--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSlipperiness</h4>
<pre>float&nbsp;getSlipperiness()</pre>
<div class="block">Get the slipperiness factor for this block.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the slipperiness factor</dd>
</dl>
</li>
</ul>
<a name="getLightValue--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLightValue</h4>
<pre>int&nbsp;getLightValue()</pre>
<div class="block">Get the light value for this block.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the light value</dd>
</dl>
</li>
</ul>
<a name="isFragileWhenPushed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFragileWhenPushed</h4>
<pre>boolean&nbsp;isFragileWhenPushed()</pre>
<div class="block">Get whether this block breaks when it is pushed by a piston.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the block breaks</dd>
</dl>
</li>
</ul>
<a name="isUnpushable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUnpushable</h4>
<pre>boolean&nbsp;isUnpushable()</pre>
<div class="block">Get whether this block can be pushed by a piston.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the block cannot be pushed</dd>
</dl>
</li>
</ul>
<a name="isTicksRandomly--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTicksRandomly</h4>
<pre>boolean&nbsp;isTicksRandomly()</pre>
<div class="block">Get whether this block is ticked randomly.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if this block is ticked randomly</dd>
</dl>
</li>
</ul>
<a name="isMovementBlocker--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isMovementBlocker</h4>
<pre>boolean&nbsp;isMovementBlocker()</pre>
<div class="block">Get whether this block prevents movement.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if this block blocks movement</dd>
</dl>
</li>
</ul>
<a name="isBurnable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isBurnable</h4>
<pre>boolean&nbsp;isBurnable()</pre>
<div class="block">Get whether this block will burn.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if this block will burn</dd>
</dl>
</li>
</ul>
<a name="isToolRequired--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isToolRequired</h4>
<pre>boolean&nbsp;isToolRequired()</pre>
<div class="block">Get whether this block needs to be broken by a tool for maximum
 speed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a tool is required</dd>
</dl>
</li>
</ul>
<a name="isReplacedDuringPlacement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isReplacedDuringPlacement</h4>
<pre>boolean&nbsp;isReplacedDuringPlacement()</pre>
<div class="block">Get whether this block is replaced when a block is placed over it
 (for example, tall grass).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the block is replaced</dd>
</dl>
</li>
</ul>
<a name="isTranslucent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTranslucent</h4>
<pre>boolean&nbsp;isTranslucent()</pre>
<div class="block">Get whether this block is translucent.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the block is translucent</dd>
</dl>
</li>
</ul>
<a name="hasContainer--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hasContainer</h4>
<pre>boolean&nbsp;hasContainer()</pre>
<div class="block">Gets whether the block has a container (Item container)</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>If it has a container</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/registry/BlockCategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/registry/BlockRegistry.html" title="interface in com.sk89q.worldedit.world.registry"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/registry/BlockMaterial.html" target="_top">Frames</a></li>
<li><a href="BlockMaterial.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
